Loading...
Searching...
No Matches
casacore::Casarc::meta_entry_ Class Reference

## Public Member Functions

| meta_entry_ (off_t keys_, int keyl_, off_t vals_, int vall_, off_t times_, int timel_)
off_t | key_offset () const
int | key_length () const
off_t | value_offset () const
int | value_length () const
off_t | time_offset () const
int | time_length () const

## Private Attributes

off_t | key_offset_
int | key_len_
off_t | val_offset_
int | val_len_
off_t | time_offset_
int | time_len_

## Detailed Description

Definition at line 79 of file Casarc.h.

## Constructor & Destructor Documentation

## meta_entry_()

casacore::Casarc::meta_entry_::meta_entry_ | ( | off_t | keys_,
|  | int | keyl_,
|  | off_t | vals_,
|  | int | vall_,
|  | off_t | times_,
|  | int | timel_ )

inline

Definition at line 81 of file Casarc.h.

References key_len_, key_offset_, time_len_, time_offset_, val_len_, and val_offset_.

## Member Function Documentation

## key_length()

int casacore::Casarc::meta_entry_::key_length | ( |  | ) | const

inline

Definition at line 87 of file Casarc.h.

References key_len_.

## key_offset()

off_t casacore::Casarc::meta_entry_::key_offset | ( |  | ) | const

inline

Definition at line 86 of file Casarc.h.

References key_offset_.

## time_length()

int casacore::Casarc::meta_entry_::time_length | ( |  | ) | const

inline

Definition at line 93 of file Casarc.h.

References time_len_.

## time_offset()

off_t casacore::Casarc::meta_entry_::time_offset | ( |  | ) | const

inline

Definition at line 92 of file Casarc.h.

References time_offset_.

## value_length()

int casacore::Casarc::meta_entry_::value_length | ( |  | ) | const

inline

Definition at line 90 of file Casarc.h.

References val_len_.

## value_offset()

off_t casacore::Casarc::meta_entry_::value_offset | ( |  | ) | const

inline

Definition at line 89 of file Casarc.h.

References val_offset_.

## Member Data Documentation

## key_len_

int casacore::Casarc::meta_entry_::key_len_

private

Definition at line 97 of file Casarc.h.

Referenced by key_length(), and meta_entry_().

## key_offset_

off_t casacore::Casarc::meta_entry_::key_offset_

private

Definition at line 96 of file Casarc.h.

Referenced by key_offset(), and meta_entry_().

## time_len_

int casacore::Casarc::meta_entry_::time_len_

private

Definition at line 101 of file Casarc.h.

Referenced by meta_entry_(), and time_length().

## time_offset_

off_t casacore::Casarc::meta_entry_::time_offset_

private

Definition at line 100 of file Casarc.h.

Referenced by meta_entry_(), and time_offset().

## val_len_

int casacore::Casarc::meta_entry_::val_len_

private

Definition at line 99 of file Casarc.h.

Referenced by meta_entry_(), and value_length().

## val_offset_

off_t casacore::Casarc::meta_entry_::val_offset_

private

Definition at line 98 of file Casarc.h.

Referenced by meta_entry_(), and value_offset().

The documentation for this class was generated from the following file:

- casa/System/Casarc.h